package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hongze_robot/controllers:AlarmMsgController"] = append(beego.GlobalControllerRouter["hongze/hongze_robot/controllers:AlarmMsgController"],
        beego.ControllerComments{
            Method: "SmsSend",
            Router: `/send`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_robot/controllers:SmsController"] = append(beego.GlobalControllerRouter["hongze/hongze_robot/controllers:SmsController"],
        beego.ControllerComments{
            Method: "SmsSend",
            Router: `/send`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
